.. AUTO-GENERATED FILE. DO NOT EDIT. hardware-rental-toolboxes ========================= Source ------ - Repository: ``jef-systems/jef-hardware-backend`` - Source Run ID: ``24764202789`` - Source SHA: ``9ef28a6830007504d236eb1131c3ced243ffccc1`` - Module: ``hardware`` - Documentation Scope: ``get`` - Lambda: ``jef-hardware-get-2`` Endpoint -------- - API Name: ``jef-hardware`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/hardware-rental-toolboxes`` - Complete Endpoint: ``https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rental-toolboxes`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-2`` - curl payload mode: ``none`` API Gateway Description ----------------------- .. code-block:: text Function: jef-hardware-get-2 API Name: jef-hardware Action: get Method: GET Resource Path: /hardware-rental-toolboxes Response: - exists: boolean - message: string - items: [{"toolbox_id":"string","toolbox_code":"string","toolbox_name":"string","equipment_name":"string","category":"string","qr_value":"string","included_items":["string"],"daily_rate":"number-whole-number","status":"string-enum-available-rented-maintenance","updated_at":"string-iso8601"}] - count: number-whole-number - last_evaluated_key: string|null - source: string Request Payload --------------- .. code-block:: json [] Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"toolbox_id\":\"string\",\"toolbox_code\":\"string\",\"toolbox_name\":\"string\",\"equipment_name\":\"string\",\"category\":\"string\",\"qr_value\":\"string\",\"included_items\":[\"string\"],\"daily_rate\":\"number-whole-number\",\"status\":\"string-enum-available-rented-maintenance\",\"updated_at\":\"string-iso8601\"}]", "count": "number-whole-number", "last_evaluated_key": "string|null", "source": "string" } CMD curl -------- .. code-block:: text curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rental-toolboxes" PowerShell curl --------------- .. code-block:: text curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rental-toolboxes"